<?php

/* License
Edward Ringsmuth copyrights and retains ALL rights to this content. You may not distribute, edit, sell, or otherwise share this page, in whole or in part, with any entity without the explicit written permission of Edward Ringsmuth. By using this page OR viewing this source you consent to these terms.

Contact info
Email: admin@square2.org
*/

////////////////////////////////////////////
// Functions Here:
// fReadRss
//    - Reads an RSS Feed
//    - Outputs an array of items
// fPreviewPage
//    - Writes to screen an iTunes Preview
//    - Input1 an array of items
// fWriteFeed
//    - Writes a RSS File/Feed
//    - Input1 the array of items
//    - Input2 path to write file to
////////////////////////////////////////////


function fWhiteStrip($aFeed){
	foreach($aFeed as $aFeed_key => $aFeed_line){
		if($aFeed_key != "item") $aFeed[$aFeed_key] = rtrim($aFeed[$aFeed_key]);
	}
	foreach($aFeed['item'] as $aFeed_ikey => $aFeed_iline){
		foreach($aFeed['item'][$aFeed_ikey] as $aFeed_itemkey => $aFeed_itemline){
			if($aFeed_itemkey != "enclosure") $aFeed['item'][$aFeed_ikey][$aFeed_itemkey] = rtrim($aFeed_itemline);
		}
	}
	return $aFeed;
}

function startElement($parser, $name, $attrs) {
	global $iInItem, $aFeed, $iItemNum, $tag, $iInCategory;
	$tag = $name;
	if ($tag == "ENCLOSURE"){
		$aFeed["item"][$iItemNum]["enclosure"]["url"] .= $attrs["URL"];
		$aFeed["item"][$iItemNum]["enclosure"]["length"] .= $attrs["LENGTH"];
		$aFeed["item"][$iItemNum]["enclosure"]["type"] .= $attrs["TYPE"];
	}
	if($tag == "ITUNES:IMAGE"){
		$aFeed["itunesimage"] = $attrs['HREF'];
	}
	if($tag == "ITUNES:CATEGORY"){
		if($iInItem == 0){
			if($iInCategory == 0){
				$iInCategory = 1;
				$aFeed["itunescategory"] = $attrs["TEXT"];
			}else{
				$iInCategory = 0;
				$aFeed["itunescategory2"] = $attrs["TEXT"];
			}
		}else{
			if($iInCategory == 0){
				$iInCategory = 1;
				$aFeed["item"][$iItemNum]["itunescategory"] .= $attrs["TEXT"];
			}else{
				$iInCategory = 0;
				$aFeed["item"][$iItemNum]["itunescategory2"] .= $attrs["TEXT"];
			}
		}
	}
	if ($name == "ITEM") {
		$tag = $name;
		$iInItem = true;
		$iItemNum++;
	}
}

function endElement($parser, $name) {
	global $iInItem, $aFeed;
	if ($name == "ITEM") {
		$iInItem = false;
	}
}

function characterData($parser, $sContents) {
	global $iInItem, $aFeed, $iItemNum, $tag;
		switch($tag){
		case "TITLE";
		if($iInItem == 0){
			$aFeed["title"] .= $sContents;
		}else{
			$aFeed["item"][$iItemNum]["title"] .= $sContents;
		}
		break;
		
		case "LINK";
		if($iInItem == 0){
			$aFeed["link"] .= $sContents;
		}
		break;
		
		case "COPYRIGHT";
		if($iItemNum == 0){
		$aFeed["copyright"] .= $sContents;
		}
		break;
		
		case "PUBDATE";
		if($iInItem == 1){
			$aFeed["item"][$iItemNum]["pubdate"] .= $sContents;
		}
		break;
		
		case "LANGUAGE";
		if($iInItem == 0){
			$aFeed["language"] .= $sContents;
		}
		break;
		
		case "ITUNES:AUTHOR";
		if($iInItem == 1){
			$aFeed["item"][$iItemNum]["itunesauthor"] .= $sContents;
		}else{
			$aFeed["itunesauthor"] .= $sContents;
		}
		break;
		
		case "ITUNES:BLOCK";
		if($iInItem == 0){
			$aFeed["itunesblock"] .= $sContents;
		}else{
			$aFeed["item"][$iItemNum]["itunesblock"] .= $sContents;
		}
		break;
		
		case "ITUNES:DURATION";
		if($iInItem == 1){
			$aFeed["item"][$iItemNum]["itunesduration"] .= $sContents;
		}
		break;
		
		case "ITUNES:EXPLICIT";
		if($iInItem == 0){
			$aFeed["itunesexplicit"] .= $sContents;
		}else{
			$aFeed["item"][$iItemNum]["itunesexplicit"] .= $sContents;
		}
		break;
		
		case "ITUNES:KEYWORDS";
		if($iInItem == 0){
			$aFeed["ituneskeywords"] .= $sContents;
		}else{
			$aFeed["item"][$iItemNum]["ituneskeywords"] .= $sContents;
		}
		break;
		
		case "ITUNES:NAME";
		if($iInItem == 0){
			$aFeed["itunesname"] .= $sContents;
		}
		break;
		
		case "ITUNES:EMAIL";
		if($iInItem == 0){
			$aFeed["itunesemail"] .= $sContents;
		}
		break;
		
		case "ITUNES:SUBTITLE";
		if($iInItem == 0){
			$aFeed["itunessubtitle"] .= $sContents;
		}else{
			$aFeed["item"][$iItemNum]["itunessubtitle"] .= $sContents;
		}
		break;
		
		case "ITUNES:SUMMARY";
		if($iInItem == 0){
			$aFeed["itunessummary"] .= $sContents;
		}else{
			$aFeed["item"][$iItemNum]["itunessummary"] .= $sContents;
		}
		break;
	}
}


function fReadRss(){

if(file_exists("prefs.php")){
	include("prefs.php");
}else{
	return;
}
//$fp = fopen($prefs[feed], 'r');
//$aFile = file($fFile);
//$sFile = file_get_contents($fFile);

/*$pFeedParse2 = '%\<(title|link|copyright|pubdate|itunes:author|itunes:block|itunes:category|itunes:duration|itunes:explicit|itunes:keywords|itunes:owner|itunes:subtitle|itunes:summary)>(.*)\<((\/)(\1))>%';
$pTest = '%(?=\<channel>)\s%';
$sTest = preg_replace($pTest, 'itworked', $sFile);

$sTag = preg_replace($pFeedParse2, '\\1', $sFile, 'm');
echo "<!--\n".$sTag."\n-->";*/

$iInItem = false;
$iItemNum = 1;
$aFeed = array('title');
global $aFeed;

$xml_parser = xml_parser_create();
xml_set_element_handler($xml_parser, "startElement", "endElement");
xml_set_character_data_handler($xml_parser, "characterData");
if(!is_readable($prefs[feed])){
		$file = dirname("squarecaster.php")."/".$prefs[feed];
		if($prefs[ftplogin] != ""){
			$conn_id = ftp_connect($_SERVER["HTTP_HOST"]);
			if($conn_id){
				$login_result = ftp_login($conn_id, $prefs[ftplogin], $prefs[ftppass]);
				//<!-- Here's the hack --> 
				$chmod_cmd="CHMOD 0777 ".$file; 
				$chmod=ftp_site($conn_id, $chmod_cmd);
				ftp_close($conn_id);
			}
		}else{
			return "Please set ftp login/pass or chmod 777 this directory";
		}
	}
$fp = @fopen($prefs[feed],"r");
if($fp == false) {
		$status="Error reading RSS data.";
		return($status);
	}
while ($sContents = fread($fp, 4096))
	xml_parse($xml_parser, $sContents, feof($fp))
		or die(sprintf("XML error: %s at line %d", 
			xml_error_string(xml_get_error_code($xml_parser)), 
			xml_get_current_line_number($xml_parser)));
fclose($fp);
xml_parser_free($xml_parser);

$aFeed = fWhiteStrip($aFeed);
usort($aFeed['item'], "newest");
return $aFeed;
}; //End function


function fPreviewPageOld($aFeed){
echo '

<html>
<head>
<title>SquareCaster</title>
</head>

<style type="text/css">
body {
	margin-top: 0;
	margin-bottom: 0;
	margin-left: 0;
	margin-right: 0;
	padding-left: 0;
	padding-right: 0;
	font-family: Lucida Grande, Helvetica;
	font-size: 12pt;
}

p {
	font-size: 10pt;
}

table {
	table-layout:fixed
}

td {
	font-size: 10pt;
	margin: 0 20px;
	text-overflow:ellipsis;
	overflow:hidden;
	white-space:nowrap;
}

.to {
	text-overflow:ellipsis;
	overflow:hidden;
	white-space:nowrap;
}

.box {
	margin: 0 20px;
	text-overflow:ellipsis;
	overflow:hidden;
	white-space:nowrap;
	border: 1px dashed #333;
	width: 300px;
	padding: 10px;
	  }	

#albumart {
	position: absolute;
	top: 25;
	left: 25;
	bottom: 125;
	right: 125;
	width: 200;
	height: 200;
}

#title {
	position: absolute;
	top: 25;
	left: 250;
	bottom: 125;
	right; 250;
}

#description {
	position: absolute;
	top: 25;
	left: 550;
	bottom: 125;
	width: auto;
}

#episodes {
	position: absolute;
	top: 300;
	left: 25;
	width: auto;
	font-size: 10pt;
}

</style>

<body bgcolor=blue>
';




//print_r($aFile);
//echo "\n";
echo "<!--";
print_r($aFeed);
echo "-->";

echo '
<div id="albumart">
<img src="'.$aFeed["itunesimage"].'" width=100% height=100%>
</div>';

echo '
<div id="title">
<b>'.$aFeed["title"].'</b><br>
'.$aFeed["itunesauthor"].'
</div>';

echo '
<div id="description">
<nobr><b>Podcast Description</b></nobr><p>
'.$aFeed["itunessummary"].'</p>
</div>';

echo '
<div id="episodes">
	<table border=0 cellpadding=0 cellspacing=10>
		<tr>
			<td>Num</td>
			<td>Name</td>
			<td>Time</td>
			<td>Artist</td>
			<td>Release Date</td>
			<td>Description</td>
		</tr>
		';
foreach($aFeed["item"] as $aFeed_num => $aFeed_item){
	echo '
		<tr>
			<td>'.$aFeed_num.'</td>
			<td><p class="to" style="width:275px;">'.$aFeed_item["title"].'</p</td>
			<td>'.$aFeed_item["itunesduration"].'</td>
			<td><p class="to" style="width:150px;">'.$aFeed_item["itunesauthor"].'</p></td>
			<td>'.date('n/d/y',strtotime($aFeed_item["pubdate"])).'</td>
			<td><p class="to" style="width:300px;">'.$aFeed_item["itunessubtitle"].'</p></td>
		</tr>
		';
}
echo '</table>';
}; //End function

function fRssEntities($string){
	$pAmpersand = '/((&(?!amp;))|(&amp;))/';
	$pLessthan = '/\</';
	$pGreaterthan = '/\>/';
	$pApostrophe = "/((\')|(\\\'))/";
	$pQuote = '/((\")|(\\\"))/';
	
	$string = preg_replace($pAmpersand, '&amp;', $string);
	$string = preg_replace($pLessthan, '&lt;', $string);
	$string = preg_replace($pGreaterthan, '&gt;', $string);
	$string = preg_replace($pApostrophe, '&apos;', $string);
	$string = preg_replace($pQuote, '&quot;', $string);
	
	return $string;
}

function fWriteFeed($aFeed) {	//Used to create the actual rss file from $aFeed
	if(file_exists("prefs.php")) include("prefs.php");
	if(!is_writable($prefs[feed])){
		$file = dirname($_SERVER[PHP_SELF])."/".$prefs[feed];
		$file2 = "/public_html".$file;
		if($prefs[ftplogin] != ""){
			$conn_id = ftp_connect($_SERVER["HTTP_HOST"]);
			if($conn_id){
				$login_result = ftp_login($conn_id, $prefs[ftplogin], $prefs[ftppass]);
				//<!-- Here's the hack --> 
				$chmod_cmd="CHMOD 0777 ".$file; 
				$chmod=@ftp_site($conn_id, $chmod_cmd);
				if(!$chmod){
					$chmod_cmd="CHMOD 0777 ".$file2;
					$chmod=ftp_site($conn_id, $chmod_cmd);
				}
				ftp_close($conn_id);
			}
		}else{
			return "Please set ftp login/pass or chmod 777 this directory and file";
		}
	}
	$fFeedWrite = fopen($prefs[feed], 'w+');
	if($fFeedWrite == false){
		return "$prefs[feed] could not be opened for writing (chmod 777 your directory and file)";
	}
	$sFeedWrite = '<?xml version="1.0" encoding="UTF-8"?>
<rss xmlns:itunes="http://www.itunes.com/DTDs/Podcast-1.0.dtd" version="2.0">
<channel>

<title>'.fRssEntities($aFeed["title"]).'</title>
<link>'.$aFeed["link"].'</link>
<copyright>'.$aFeed["copyright"].'</copyright>
<generator>SquareCaster - www.square2.org/squarecaster</generator>
<itunes:author>'.fRssEntities($aFeed["itunesauthor"]).'</itunes:author>
<itunes:subtitle>'.fRssEntities($aFeed["itunessubtitle"]).'</itunes:subtitle>
<itunes:summary>'.fRssEntities($aFeed["itunessummary"]).'</itunes:summary>
<itunes:keywords>'.fRssEntities($aFeed["ituneskeywords"]).'</itunes:keywords>
<itunes:owner>
<itunes:name>'.fRssEntities($aFeed["itunesname"]).'</itunes:name>
<itunes:email>'.$aFeed["itunesemail"].'</itunes:email>
</itunes:owner>
<itunes:explicit>'.$aFeed["itunesexplicit"].'</itunes:explicit>
<itunes:image href="'.$aFeed["itunesimage"].'" />
<itunes:category text="'.fRssEntities($aFeed["itunescategory"]).'">
<itunes:category text="'.fRssEntities($aFeed["itunescategory2"]).'"/>
</itunes:category>
<itunes:block>'.$aFeed["itunesblock"].'</itunes:block>
<ttl>1</ttl>
';
	foreach($aFeed["item"] as $aFeedKey => $aFeedItem){
		$sFeedWrite .= '
<item>
<title>'.fRssEntities($aFeedItem["title"]).'</title>
<itunes:author>'.fRssEntities($aFeedItem["itunesauthor"]).'</itunes:author>
<enclosure url="'.$aFeedItem["enclosure"]["url"].'" length="'.$aFeedItem["enclosure"]["length"].'" type="'.$aFeedItem["enclosure"]["type"].'" />
<pubDate>'.date('r', strtotime($aFeedItem["pubdate"])).'</pubDate>
'.($aFeedItem["itunescategory"]?'<itunes:category text="'.$aFeedItem["itunescategory"].'">
<itunes:category text="'.$aFeedItem["itunescategory2"].'"/>
</itunes:category>': '').'
<itunes:explicit>'.$aFeedItem["itunesexplicit"].'</itunes:explicit>
<itunes:duration>'.$aFeedItem["itunesduration"].'</itunes:duration>
<itunes:subtitle>'.fRssEntities($aFeedItem["itunessubtitle"]).'</itunes:subtitle>
<itunes:summary>'.fRssEntities($aFeedItem["itunessummary"]).'</itunes:summary>
<itunes:keywords>'.fRssEntities($aFeedItem["ituneskeywords"]).'</itunes:keywords>
<itunes:block>'.$aFeedItem["itunesblock"].'</itunes:block>
</item>
';
	}
	
	$sFeedWrite .= '</channel>
</rss>';
	if(fwrite($fFeedWrite, $sFeedWrite) == false){
		return "File was opened, but could not be written to.";
	}
	if(fclose($fFeedWrite) == false){
		return "File could not be closed.";
	}
	/*
	echo "<!--\n";
	print_r($sFeedWrite);
	echo "\n-->";
	*/
	return "Feed write was successful!";
};


function fHeader($loggedin){
$news = file_get_contents("http://www.square2.org/squarecaster/news.txt");
global $aFeed;
echo '
<!--License
Edward Ringsmuth copyrights and retains ALL rights to this content. You may not distribute, edit, sell, or otherwise share this page, in whole or in part, with any entity without the explicit written permission of Edward Ringsmuth. By using this page OR viewing this source you consent to these terms.

Contact info
Email: admin@square2.org
-->

<html>
<head>
<title>SquareCaster</title>
<style type="text/css">
<!--
body {
	margin-top: 0;
	margin-bottom: 0;
	margin-left: 0;
	margin-right: 0;
	padding-left: 0;
	padding-right: 0;
	font-family: "Lucida Grande", "Helvetica";
	font-size: 12pt;
}

#header {
	position: relative;
	margin-top: 0px;
	margin-left: 25px;
	margin-right: 25px;
	height: 37px;
	min-width: 800px;
	max-width: 1000px;
	padding-top: 10px;
	padding-left: 25px;
	padding-right: 25px;
	border-bottom-left-radius: 10px;
	border-bottom-right-radius: 10px;
	background-color: blue;
	color: white;
	font-size: 16pt;
	white-space: nowrap;
}

#header .right {
	display: block;
	float: right;
	margin: 0;
	padding: 0;
	font-size: 0.8em;
}

#header .left {
	display: block;
	float: left;
}

#header a:link, #header a:hover, #header a:visited {
	color: white;
	text-decoration: none;
}

#header2 {
	position:relative;
	margin-top: 0px;
	background-color: gold;
	margin-left: 35px;
	margin-right: 35px;
	padding-left: 15px;
	padding-right: 15px;
	height: 20px;
	min-width: 800px;
	max-width: 1000px;
	font-size: 0.8em;
	color: white;
	border-bottom-left-radius: 10px;
	border-bottom-right-radius: 10px;
}

#googleads {
	position: relative;
	margin-top: 20px;
	border-radius: 10px;
}

#container {
	margin-left: 50px;
	margin-right: 50px;
	min-width: 800px;
	max-width: 1000px;
	text-align: center;
	position: relative;
}

#status {
	color: #f00;
}

#navbar {
	position: relative;
	background-color: #ffffe9;
	margin-top: 25px;
	margin-left: 25px;
	margin-right: 25px;
	width: 800px;
	padding-top: 10px;
	padding-bottom: 10px;
	padding-right: 25px;
	padding-left: 25px;
	font-size: 1em;
}

#navbar a:link, a:hover, a:visited {
	color: #0000FF;
	text-decoration: none;
}

#navbar-current {
	position: relative;
	padding-top: 10px;
	padding-bottom: 10px;
	width: auto;
	background-color: #f6f6ff;
}

#main {
	margin-left: 25px;
	width: 800px;
	min-height: 500px;
	height: auto;
	padding-top: 25px;
	padding-bottom: 25px;
	padding-right: 25px;
	padding-left: 25px;
	position: relative;
	background-color: #f6f6ff;
}

#quickadd .txt {
	position: absolute;
	left: 220px;
}

#quickadd .submit {
	position: relative;
	top: 10em;
	left: 195px;
}

#quickadd table {
	border-collapse: collapse;
	width: 100%;
	margin-bottom: 1em;
	clear: both;
	float: top;
}

#hidden {
	display: none;
}

#episodes2 {
	position: relative;
	margin-left: -25px;
	padding-left: 25px;
	padding-right: 15px;
	padding-bottom: 25px;
	width: 800px;
	background-color: #f6f6ff;
}

#pv {
	position: relative;
}

#pv .to {
	text-overflow:ellipsis;
	overflow:hidden;
	white-space:nowrap;
	font-size: 8pt;
}

#pv #albumart {
	position: absolute;
	top: 25px;
	left: 0;
	right: 125px;
	width: 200px;
	height: 200px;
	z-index: 2;
}

#pv #title {
	position: absolute;
	top: 25px;
	left: 225px;
	bottom: 125px;
	width: 250px;
	z-index: 2;
}

#pv #description {
	position: absolute;
	top: 25px;
	left: 500px;
	bottom: 125px;
	width: auto;
	z-index: 2;
}

#pv #episodes {
	float:left;
	position: absolute;
	top: 0px;
	left: 0;
	width: 800px;
	font-size: 10pt;
	background-color: #f6f6ff;
	margin-left: -25px;
	padding-top:300px;
	padding-bottom: 40px;
	padding-right: '.(strstr($_SERVER['HTTP_USER_AGENT'],"MSIE")? "0px" : "25px" ).';
	padding-left: 25px;
	z-index: 1;
}

#pv p {
	font-size: 10pt;
}

#pv a {
	text-decoration: none;
	display: block;
	border: 1px solid #fff;
}

#pv a:hover {
	border: 1px solid #06c;
	background: #fff;
}

#pv table {
	border-collapse: collapse;
	width: 100%;
	margin-bottom: 1em;
}

#pv th {
	background: #f6f6ff;
	color: black;
	font-size: 8pt;
	font-style: normal;
}

#pv td {
	font-size: 8pt;
	text-overflow:ellipsis;
	overflow:hidden;
	white-space:nowrap;
}

#preview {
	position: relative;
}

#preview .to {
	text-overflow:ellipsis;
	overflow:hidden;
	white-space:nowrap;
	font-size: 8pt;
}

#preview #albumart {
	position: absolute;
	top: 25px;
	left: 0;
	right: 125px;
	width: 200px;
	height: 200px;
	z-index: 2;
}

#preview #title {
	position: absolute;
	top: 25px;
	left: 225px;
	bottom: 125px;
	width: 250px;
	z-index: 2;
}

#preview #description {
	position: absolute;
	top: 25px;
	left: 500px;
	bottom: 125px;
	width: auto;
	z-index: 2;
}

#preview #episodes {
	position: absolute;
	top: 0px;
	left: 0;
	width: 800px;
	font-size: 10pt;
	background-color: #f6f6ff;
	margin-left: -25px;
	padding-top: 300px;
	padding-bottom: 40px;
	padding-right: '.(strstr($_SERVER['HTTP_USER_AGENT'],"MSIE")? "0px" : "25px" ).';
	padding-left: 25px;
	z-index: 1;
}

#preview p {
	font-size: 10pt;
}

#preview a {
	text-decoration: none;
	display: block;
	border: 1px solid #fff;
}

#preview a:hover {
	border: 1px solid #06c;
	background: #fff;
}

#preview table {
	height: auto:
	border-collapse: collapse;
	width: 100%;
	margin-bottom: 1em;
}

#preview tr {
	height: 10px;
}

#preview td {
	font-size: 8pt;
	text-overflow:ellipsis;
	overflow:hidden;
	white-space:nowrap;
}

#preview th {
	font-size: 8pt;
}

.highlight {
	background-color: #ffffe0;
	color: green;
	z-index: 2;
}

.unhighlight {
	background: #f6f6ff;
}

.box_background {
     background-color: gold;
     opacity: 0.5;
     filter:alpha(opacity=50); /* IE\'s opacity*/
     width: 200px;
     height: 200px;
     z-index: 100;
}

.hideMe {
	display: none;
	opacity: 0.5;
	filter:alpha(opacity=70); /* IE\'s opacity*/
}

.showMe {
	display: block;
	opacity: 1.0;
	filter:alpha(opacity=100); /* IE\'s opacity*/
}

#footer {
	position:absolute;
	margin-top:0px;
	margin-left:25px;
	background-color:#ffffe9;
	width:800px;
	padding-left:25px;
	padding-right: '.(strstr($_SERVER['HTTP_USER_AGENT'],"MSIE")? "0px" : "25px" ).';
	clear:both;
	z-index:1;
}
	
-->
</style>
<script language="JavaScript">
function setClassName(objId, className) {
        document.getElementById(objId).className = className;
}
function confirm_entry(episode)
{
input_box=confirm("Do you really want to delete this?");
if (input_box==true)

{ 
// Output when OK is clicked
resizeTo(460,150);
window.location="?q=reallydelete&n="+episode+"";
}

else
{
// Output when Cancel is clicked

}
}


function vistoggle(divID) {
	if(divID.style.display == "none"){
		divID.style.display = "";
	}
	else{
		divID.style.display = "none";
	}
}



';/*var smooth_timer;
function smoothHeight(id, curH, targetH, stepH, mode) {
  diff = targetH - curH;
  if (diff != 0) {
    newH = (diff > 0) ? curH + stepH : curH - stepH;
    ((document.getElementById) ? document.getElementById(id) : eval("document.all['" + id + "']")).style.height = newH + "px";
    if (smooth_timer) window.clearTimeout(smooth_timer);
    smooth_timer = window.setTimeout( "smoothHeight('" + id + "'," + newH + "," + targetH + "," + stepH + ",'" + mode + "')", 20 );
  }
  else if (mode != "o") ((document.getElementById) ? document.getElementById(mode) : eval("document.all['" + mode + "']")).style.display="none";
}*/
echo '

</script>
</head>
<body OnLoad="placefooter();document.addpodcast.fileurl.focus();">
<div id="header"><span class="left">
<a href="squarecaster.php">SquareCaster</a>
'.($aFeed['title'] && $aFeed['title'] != "P"?' - '.substr($aFeed['title'], 0, 30):'').'
</span><span class="right">
'.($loggedin? '<a href="?q=logout">Logout</a>&nbsp;' : '<a href="?q=login">Login</a>&nbsp;').'
<a href="?q=readme">Readme</a>&nbsp;
<a href="?q=prefpage">Preferences</a>
</span>
</div>
<div id="header2">
News:  '.$news.'
</div>

<div id="container">
<div id="googleads">
<script type="text/javascript"><!--
google_ad_client = "pub-1230229016884691";
google_ad_width = 728;
google_ad_height = 90;
google_ad_format = "728x90_as";
google_ad_type = "text";
google_ad_channel ="";
google_color_border = "E0FFE3";
google_color_bg = "E0FFE3";
google_color_link = "0000CC";
google_color_url = "008000";
google_color_text = "000000";
//--></script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
<!--<embed src="http://www.square2.org/google/page1.htm">-->
<div id="hidden">
Podcast podcasting google adsense microphone microphones sound quality host service provider web server cheap domain names apple mac os x.
</div>
</div>
</div>';
}

$sFooter = '
<div id="footer">
<p style="font-size:10pt;">
&copy; 2005 Eddy Ringsmuth. If you like SquareCaster, help me out by clicking a Google ad :-D<br>
Want a tech podcast that doesn\'t just focus on news? <a href="http://square2.twintipped.com">Square Two - The Next Step</a><br>
Questions, comments, divine inspirations? Email me "admin(at sign goes here)square2.org"<br></p>
</div>';

function fMainPage($aFeed, $status){
fHeader($_SESSION['loggedin']);
global $sFooter;
echo '
<div id="navbar">
<span id="navbar-current">
<a href="squarecaster.php">Home</a>&nbsp;
</span>
<a href="?q=manage">Manage</a>&nbsp;
<a href="?q=preview">Preview</a>
</div>

<div id="main">
<div id="quickadd">
'.($status? "<span class=\"status\">Status: $status </span>" : "").'
<p>
QuickAdd
<hr>
<style type="text/css">
<!--
.unselected {
	display: none;
	opacity: 0.5;
	filter:alpha(opacity=70); /* IE\'s opacity*/
}

.selected {
	display: block;
	opacity: 1.0;
	filter:alpha(opacity=100); /* IE\'s opacity*/
}
	
-->
</style>
<script language="text/javascript">
<!--
function setClassName(objId, className) {
        document.getElementById(objId).className = className;
}
function confirm_entry(episode)
{
input_box=confirm("Do you really want to delete this?");
if (input_box==true)

{ 
// Output when OK is clicked
resizeTo(460,150);
window.location="?q=reallydelete&n="+episode+"";
}

else
{
// Output when Cancel is clicked

}
}
-->
</script>
<form name="addpodcast" enctype="multipart/form-data" action="squarecaster.php?q=quickadd" method="post">

<b>Episode file info:</b><p>
Manually enter file info <input type="radio" name="enclosure" value="location" checked onClick=\'setClassName("manually","selected");setClassName("autoupload","unselected");\'><p>
<span id="manually" class="selected">
&nbsp;&nbsp;&nbsp;&nbsp;File url:<br>
&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="fileurl" size="50" value=""><br>
&nbsp;&nbsp;&nbsp;&nbsp;File mime type: <br>
&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="filetype" size="15" value=""><select name="mimes" onchange="document.addpodcast.filetype.value = document.addpodcast.mimes.value;"><option value="">Common Mimes</option><option value="audio/mpeg">MP3</option><option value="application/pdf">PDF</option>< option value="audio/x-wav">WAV</option><option value="video/mpeg">MPG</option><option value="video/mp4">MP4</option><option value="video/x-msvideo">AVI</option><option value="audio/x-m4a">M4A (aac)</option></select><br>
&nbsp;&nbsp;&nbsp;&nbsp;File size (in bytes): <br>
&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="filesize" size="10" value=""></span><p>
Or upload file <input type="radio" name="enclosure" value="upload" onClick=\'setClassName("autoupload","selected");setClassName("manually","unselected");\'><p>
<span id="autoupload" class="unselected">
&nbsp;&nbsp;&nbsp;&nbsp;<input type="file" name="file"></span><br><p>

<b>Episode meta info:</b><p>
Episode Title:<br>
<input  name="title" type="text" size="50" maxlength="255" value="'.fRssEntities($aFeed['item'][$n]['title']).'"><br>
Publish Date:<br>
<input name="pubdate" type="text" size="30" value="'.($aFeed['item'][$n]['pubdate'] ? $aFeed['item'][$n]['pubdate'] : date("r")).'"><br>
Author:<br>
<input  name="itunesauthor" type="text" size="30" maxlength="255" value="'.fRssEntities($aFeed['item'][$n]['itunesauthor']).'"><br>
Duration (HH:MM):<br>
<input  name="itunesduration" type="text" size="6" maxlength="6" value="'.$aFeed['item'][$n]['itunesduration'].'"><br>
Explicit (Check for yes):<br>
<input  name="itunesexplicit" type="checkbox" value="yes" '.($aFeed['item'][$n]['itunesexplicit'] == "yes" ? "checked" : "").'><br>
Block (Check for yes):<br>
<input  name="itunesblock" type="checkbox" value="yes" '.($aFeed['item'][$n]['itunesblock'] == "yes" ? "checked" : "").'><br>
iTunes Category:<br>
<select name="itunescategory">
<optgroup label="Arts & Entertainment">
	<option value="Arts & Entertainment#Architecture"'.($aFeed['itunescategory2'] == "Architecture" ? " selected=\"selected\"": '').'>Architecture</option>
	<option value="Arts & Entertainment#Books"'.($aFeed['itunescategory2'] == "Books" ? " selected=\"selected\"": '').'>Books</option>
	<option value="Arts & Entertainment#Design"'.($aFeed['itunescategory2'] == "Design" ? " selected=\"selected\"": '').'>Design</option>
	<option value="Arts & Entertainment#Entertainment"'.($aFeed['itunescategory2'] == "Entertainment" ? " selected=\"selected\"": '').'>Entertainment</option>
	<option value="Arts & Entertainment#Games"'.($aFeed['itunescategory2'] == "Games" ? " selected=\"selected\"": '').'>Games</option>
	<option value="Arts & Entertainment#Performin Arts"'.($aFeed['itunescategory2'] == "Performing Arts" ? " selected=\"selected\"": '').'>Performing Arts</option>
	<option value="Arts & Entertainment#Photography"'.($aFeed['itunescategory2'] == "Photography" ? " selected=\"selected\"": '').'>Photography</option>
	<option value="Arts & Entertainment#Poetry"'.($aFeed['itunescategory2'] == "Poetry" ? " selected=\"selected\"": '').'>Poetry</option>
	<option value="Arts & Entertainment#Science Fiction"'.($aFeed['itunescategory2'] == "Science Fiction" ? " selected=\"selected\"": '').'>Science Fiction</option>
<optgroup label="Audio Blogs">
	<option value="Audio Blogs#"'.($aFeed['itunescategory'] == "Audio Blogs" ? " selected=\"selected\"": '').'>Audio Blogs (All)</option>
<optgroup label="Business">
	<option value="Business#Careers"'.($aFeed['itunescategory2'] == "Careers" ? " selected=\"selected\"": '').'>Careers</option>
	<option value="Business#Finance"'.($aFeed['itunescategory2'] == "Finance" ? " selected=\"selected\"": '').'>Finance</option>
	<option value="Business#Investing"'.($aFeed['itunescategory2'] == "Investing" ? " selected=\"selected\"": '').'>Investing</option>
	<option value="Business#Management"'.($aFeed['itunescategory2'] == "Management" ? " selected=\"selected\"": '').'>Management</option>
	<option value="Business#Marketing"'.($aFeed['itunescategory2'] == "Marketing" ? " selected=\"selected\"": '').'>Marketing</option>
<optgroup label="Comedy">
	<option value="Comedy#"'.($aFeed['itunescategory'] == "Comedy" ? " selected=\"selected\"": '').'>Comedy (All)
<optgroup label="Education">
	<option value="Education#Higher Education"'.($aFeed['itunescategory2'] == "Higher Education" ? " selected=\"selected\"": '').'>Higher Education</option>
	<option value="Education#K-12"'.($aFeed['itunescategory2'] == "K-12" ? " selected=\"selected\"": '').'>K-12</option>
<optgroup label="Family">
	<option value="Family#"'.($aFeed['itunescategory'] == "Family" ? " selected=\"selected\"": '').'>Family (All)</option>
<optgroup label="Food">
	<option value="Food#"'.($aFeed['itunescategory'] == "Food" ? " selected=\"selected\"": '').'>Food (All)</option>
<optgroup label="Health">
	<option value="Health#Diet & Nutrition"'.($aFeed['itunescategory2'] == "Diet & Nutrition" ? " selected=\"selected\"": '').'>Diet & Nutrition</option>
	<option value="Health#Fintess"'.($aFeed['itunescategory2'] == "Fintess" ? " selected=\"selected\"": '').'>Fintess</option>
	<option value="Health#Relationships"'.($aFeed['itunescategory2'] == "Relationships" ? " selected=\"selected\"": '').'>Relationships</option>
	<option value="Health#Self-Help"'.($aFeed['itunescategory2'] == "Self-Help" ? " selected=\"selected\"": '').'>Self-Help</option>
	<option value="Health#Sexuality"'.($aFeed['itunescategory2'] == "Sexuality" ? " selected=\"selected\"": '').'>Sexuality</option>
<optgroup label="International">
	<option value="International#Australian"'.($aFeed['itunescategory2'] == "Australian" ? " selected=\"selected\"": '').'>Australian</option>
	<option value="International#Belgian"'.($aFeed['itunescategory2'] == "Belgian" ? " selected=\"selected\"": '').'>Belgiain</option>
	<option value="International#Brazilian"'.($aFeed['itunescategory2'] == "Brazilian" ? " selected=\"selected\"": '').'>Brazilian</option>
	<option value="International#Canadian"'.($aFeed['itunescategory2'] == "Canadian" ? " selected=\"selected\"": '').'>Canadian</option>
	<option value="International#Chinese"'.($aFeed['itunescategory2'] == "Chinese" ? " selected=\"selected\"": '').'>Chinese</option>
	<option value="International#Dutch"'.($aFeed['itunescategory2'] == "Dutch" ? " selected=\"selected\"": '').'>Dutch</option>
	<option value="International#French"'.($aFeed['itunescategory2'] == "French" ? " selected=\"selected\"": '').'>French</option>
	<option value="International#German"'.($aFeed['itunescategory2'] == "German" ? " selected=\"selected\"": '').'>German</option>
	<option value="International#Hebrew"'.($aFeed['itunescategory2'] == "Hebrew" ? " selected=\"selected\"": '').'>Hebrew</option>
	<option value="International#Italian"'.($aFeed['itunescategory2'] == "Italian" ? " selected=\"selected\"": '').'>Italian</option>
	<option value="International#Japanese"'.($aFeed['itunescategory2'] == "Japanese" ? " selected=\"selected\"": '').'>Japanese</option>
	<option value="International#Norwegian"'.($aFeed['itunescategory2'] == "Norwegian" ? " selected=\"selected\"": '').'>Norwegian</option>
	<option value="International#Polish"'.($aFeed['itunescategory2'] == "Polish" ? " selected=\"selected\"": '').'>Polish</option>
	<option value="International#Portuguese"'.($aFeed['itunescategory2'] == "Portuguese" ? " selected=\"selected\"": '').'>Portuguese</option>
	<option value="International#Spanish"'.($aFeed['itunescategory2'] == "Spanish" ? " selected=\"selected\"": '').'>Spanish</option>
	<option value="International#Swedish"'.($aFeed['itunescategory2'] == "Swedish" ? " selected=\"selected\"": '').'>Swedish</option>
<optgroup label="Movies & Television">
	<option value="Movies & Television#"'.($aFeed['itunescategory'] == "Movies & Television" ? " selected=\"selected\"": '').'>Movies & Television (All)</option>
<optgroup label="Music">
	<option value="Music#"'.($aFeed['itunescategory'] == "Music" ? " selected=\"selected\"": '').'>Music (All)</option>
<optgroup label="News">
	<option value="News#"'.($aFeed['itunescategory'] == "News" ? " selected=\"selected\"": '').'>News (All)</option>
<optgroup label="Politics">
	<option value="Politics#"'.($aFeed['itunescategory'] == "Politics" ? " selected=\"selected\"": '').'>Politics (All)</option>
<optgroup label="Public Radio">
	<option value="Public Radio#"'.($aFeed['itunescategory2'] == "Public Radio" ? " selected=\"selected\"": '').'>Public Radio (All)</option>
<optgroup label="Religion & Spirituality">
	<option value="Religion & Spirituality#Buddhism"'.($aFeed['itunescategory2'] == "Buddhism" ? " selected=\"selected\"": '').'>Buddhism</option>
	<option value="Religion & Spirituality#Christianity"'.($aFeed['itunescategory2'] == "Christianity" ? " selected=\"selected\"": '').'>Christianity</option>
	<option value="Religion & Spirituality#Islam"'.($aFeed['itunescategory2'] == "Islam" ? " selected=\"selected\"": '').'>Islam</option>
	<option value="Religion & Spirituality#Judaism"'.($aFeed['itunescategory2'] == "Judaism" ? " selected=\"selected\"": '').'>Judaism</option>
	<option value="Religion & Spirituality#New Age"'.($aFeed['itunescategory2'] == "New Age" ? " selected=\"selected\"": '').'>New Age</option>
	<option value="Religion & Spirituality#Philosophy"'.($aFeed['itunescategory2'] == "Philosophy" ? " selected=\"selected\"": '').'>Philosophy</option>
	<option value="Religion & Spirituality#Spirituality"'.($aFeed['itunescategory2'] == "Spirituality" ? " selected=\"selected\"": '').'>Spirituality</option>
<optgroup label="Science">
	<option value="Science#"'.($aFeed['itunescategory'] == "Science" ? " selected=\"selected\"": '').'>Science (All)</option>
<optgroup label="Sports">
	<option value="Sports#"'.($aFeed['itunescategory'] == "Sports" ? " selected=\"selected\"": '').'>Sports (All)</option>
<optgroup label="Talk Radio">
	<option value="Talk Radio#"'.($aFeed['itunescategory'] == "Talk Radio" ? " selected=\"selected\"": '').'>Talk Radio (All)</option>
<optgroup label="Technology">
	<option value="Technology#Computers"'.($aFeed['itunescategory2'] == "Computers" ? " selected=\"selected\"": '').'>Computers</option>
	<option value="Technology#Developers"'.($aFeed['itunescategory2'] == "Developers" ? " selected=\"selected\"": '').'>Developers</option>
	<option value="Technology#Gadgets"'.($aFeed['itunescategory2'] == "Gadgets" ? " selected=\"selected\"": '').'>Gadgets</option>
	<option value="Technology#Information Technology"'.($aFeed['itunescategory2'] == "Information Technology" ? " selected=\"selected\"": '').'>Information Technology</option>
	<option value="Technology#News"'.($aFeed['itunescategory2'] == "News" ? " selected=\"selected\"": '').'>News</option>
	<option value="Technology#Opterating Systems"'.($aFeed['itunescategory2'] == "Operating Systems" ? " selected=\"selected\"": '').'>Operation Systems</option>
	<option value="Technology#Podcasting"'.($aFeed['itunescategory2'] == "Podcasting" ? " selected=\"selected\"": '').'>Podcasting</option>
	<option value="Technology#Smart Phones"'.($aFeed['itunescategory2'] == "Smart Phones" ? " selected=\"selected\"": '').'>Smart Phones</option>
	<option value="Technology#Text/Speech"'.($aFeed['itunescategory2'] == "Text/Speech" ? " selected=\"selected\"": '').'>Text/Speech</option>
<optgroup label="Transportation">
	<option value="Transportation#Automotive"'.($aFeed['itunescategory2'] == "Automotive" ? " selected=\"selected\"": '').'>Automotive</option>
	<option value="Transportation#Aviation"'.($aFeed['itunescategory2'] == "Aviation" ? " selected=\"selected\"": '').'>Aviation</option>
	<option value="Transportation#Bicycles"'.($aFeed['itunescategory2'] == "Bicycles" ? " selected=\"selected\"": '').'>Bicycles</option>
	<option value="Transportation#Commuting"'.($aFeed['itunescategory2'] == "Commuting" ? " selected=\"selected\"": '').'>Commuting</option>
<optgroup label="Travel">
	<option value="Travel#"'.($aFeed['itunescategory'] == "Travel" ? " selected=\"selected\"": '').'>Travel (All)</option>
</select><br>
Keywords:<br>
<input  name="ituneskeywords" type="text" size="50" maxlength="255" value="'.fRssEntities($aFeed['item'][$n]['ituneskeywords']).'"><br>
Short description:<br>
<input  name="itunessubtitle" type="text" size="50" maxlength="255" value="'.fRssEntities($aFeed['item'][$n]['itunessubtitle']).'"><br>
Long description:<br>
<textarea name="itunessummary" rows="10" cols="50" maxlength="4000" height="100">'.fRssEntities($aFeed['item'][$n]['itunessummary']).'</textarea><br><hr><p>

<p><p><p><input type="reset" value="Reset" onClick=\'setClassName("manually","selected");setClassName("autoupload","unselected");\'><input  name="edit" type="submit" value="Edit"><br>
Note: when uploading a file, be prepared to wait a while with no visible status change.
</div>

</div>'.$sFooter.'
</body>
</html>
';
}; //End function here


function fPopulateEpisode(){
	$pCategory = '/^(.*)(\#.*)$/';
	$pCategory2 = '/^(.*)\#(.*)$/';
	
	$aEpisode['title'] = $_POST['title'];
	$aEpisode['itunesauthor']=$_POST['itunesauthor'];
	$aEpisode['itunesduration']=$_POST['itunesduration'];
	$aEpisode['itunesexplicit']=($_POST['itunesexplicit'] == "yes" ? "yes" : "no");
	$aEpisode['itunesblock']=($_POST['itunesblock'] == "yes" ? "yes" : "no");
	$aEpisode['itunessubtitle']=$_POST['itunessubtitle'];
	$aEpisode['itunessummary']=$_POST['itunessummary'];
	$aEpisode['itunescategory']=$_POST['itunescategory'];
	$aEpisode['ituneskeywords']=$_POST['ituneskeywords'];
	$aEpisode['pubdate']=date("r", strtotime($_POST['pubdate']));
	if($_POST['enclosure'] == "location"){
		$aEpisode['enclosure']['url']=preg_replace('/\s/', '%20', $_POST['fileurl']);
		$aEpisode['enclosure']['type']=$_POST['filetype'];
		$aEpisode['enclosure']['length']=$_POST['filesize'];
	}
	if($_POST['enclosure'] == "upload"){
		$uploaddir = $_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"];
		$aEpisode['enclosure']['url'] = preg_replace('/\s/', '%20', "http://".preg_replace('%^(.*)(\/.*)$%','\\1',$uploaddir)."/" .$_FILES['file']['name']);
		move_uploaded_file($_FILES['file']['tmp_name'], basename($_FILES['file']['name']));
		$aEpisode['enclosure']['type']=$_FILES['file']['type'];
		$aEpisode['enclosure']['length']=$_FILES['file']['size'];
	}
	
	$sITC = $aEpisode['itunescategory'];
	$aEpisode['itunescategory'] = fRssEntities(preg_replace($pCategory, '\\1', $sITC));
	$aEpisode['itunescategory2'] = fRssEntities(preg_replace($pCategory2, '\\2', $sITC));
	if($aEpisode['itunescategory2'] == $sITC) $aEpisode['itunescategory2'] = '';

	return $aEpisode;
}

function fPopulatePodcast(){	//too lazy to change "aEpisode" to "aPodcast", but thats what it means...
include("prefs.php");
	$pCategory = '/^(.*)(\#.*)$/';
	$pCategory2 = '/^(.*)\#(.*)$/';
	
	$aEpisode['title'] = $_POST['title'];
	$aEpisode['itunesauthor']=$_POST['itunesauthor'];
	$aEpisode['itunesexplicit']=($_POST['itunesexplicit'] == "yes" ? "yes" : "no");
	$aEpisode['itunesblock']=($_POST['itunesblock'] == "yes" ? "yes" : "no");
	$aEpisode['itunessubtitle']=$_POST['itunessubtitle'];
	$aEpisode['itunessummary']=$_POST['itunessummary'];
	$aEpisode['itunescategory']=$_POST['itunescategory'];
	$aEpisode['ituneskeywords']=$_POST['ituneskeywords'];
	$aEpisode['link']=preg_replace('/\s/', '%20', $_POST['link']);
	$aEpisode['copyright']=$_POST['copyright'];
	$aEpisode['itunesname']=$_POST['itunesname'];
	$aEpisode['itunesemail']=$_POST['itunesemail'];
	if($_POST['image'] == "manually"){
		$aEpisode['itunesimage']=preg_replace('/\s/', '%20', $_POST['imageurl']);
	}
	if($_POST['image'] == "upload"){
		$uploaddir = $_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"];
		$aEpisode['itunesimage'] = preg_replace('/\s/', '%20', "http://".preg_replace('%^(.*)(\/.*)$%','\\1',$uploaddir)."/" .$_FILES['file']['name']);
		if(!move_uploaded_file($_FILES['file']['tmp_name'], basename($_FILES['file']['name']))){
			$file = $_FILES['file']['tmp_name'];
			$file2 = "..".$file;
			if($prefs[ftplogin] != ""){
				$conn_id = ftp_connect($_SERVER["HTTP_HOST"]);
				if($conn_id){
					$login_result = ftp_login($conn_id, $prefs[ftplogin], $prefs[ftppass]);
					//<!-- Here's the hack --> 
					$chmod_cmd="CHMOD 0777 ".$file; 
					$chmod=ftp_site($conn_id, $chmod_cmd);
					if(!$chmod){
						$chmod_cmd="CHMOD 0777 ".$file2;
						$chmod=ftp_site($conn_id, $chmod_cmd);
					}
					ftp_close($conn_id);
				}
			move_uploaded_file($_FILES['file']['tmp_name'], basename($_FILES['file']['name']));
			}else{
				return "Please set ftp login/pass or chmod 777 this directory and file";
			}
		}
	}
	
	$sITC = $aEpisode['itunescategory'];
	$aEpisode['itunescategory'] = preg_replace($pCategory, '\\1', $sITC);
	$aEpisode['itunescategory2'] = preg_replace($pCategory2, '\\2', $sITC);
	if($aEpisode['itunescategory2'] == $sITC) $aEpisode['itunescategory2'] = '';

	return $aEpisode;
}

function fValidateFeed($aF){
	$pAmpersand = '/((&(?!amp;))|(&amp;))/';
	$pLessthan = '/\</';
	$pGreaterthan = '/\>/';
	$pApostrophe = "/(\\\')/";
	$pQuote = '/(\\\")/';
	$pCategory = '/^(.*)(#)?(.*)?$/';
	
	foreach ($aF as $aF_k => $aF_n){
	if(!is_array($aF[$aF_k])) fRssEntities($aF[$aF_k]);
		foreach ($aF['item'] as $aFi_k => $aFi_n){
			foreach($aF['item'][$aF_k] as $aFi_key => $aFi_line){
				if(!is_array($aF['item'][$aFi_k][$aFi_key])) fRssEntities($aF['item'][$aFi_k][$aFi_key]);
				if($aFi_key == 'itunescategory'){
					$aF['item'][$aFi_k]['itunescategory'] = preg_replace($pCategory, '\\1', $aF['item'][$aFi_k]['itunescategory']);
					$aF['item'][$aFi_k]['itunescategory2'] = preg_replace($pCategory, '\\3', $aEpisode[$aEpisode_key]);
					if($aF['item'][$aFi_k]['itunescategory2'] == $aF['item'][$aFi_k]['itunescategory']) $aF['item'][$aFi_k]['itunescategory2'] = '';
				}
			}
		}
	}
	
	return $aF;
}


function fPrefPage($status){
if(file_exists("prefs.php")) include("prefs.php");
fHeader($_SESSION['loggedin']);
global $sFooter;
echo '
<div id="navbar">
<a href="squarecaster.php">Home</a>&nbsp;
<a href="?q=manage">Manage</a>&nbsp;
<a href="?q=preview">Preview</a>
</div>

<div id="main">
'.($status? "<span class=\"status\">Status: $status </span>" : "").'
<p>
Preferences
<hr>
<form enctype="multipart/form-data" action="squarecaster.php?q=setpref" method="post">
Feed Name: <input class="txt" name="sFeedName" type="text" size="25" value="'.($prefs[feed]?$prefs[feed]:"feed.rss").'"><br>
*Current Password: <input class="txt" name="sCurPass" type="password" size="25"><br>
New Password: <input class="txt" name="sNewPass" type="password" size="25"><br>
**FTP Login: <input class="txt" name="sFtpLogin" type="text" size="25"><br>
**FTP Password: <input class="txt" name="sFtpPass" type="password" size="25"><br>
<input class="submit" name="setpref" type="submit" value="Set Preferences">
</form><br>
*Leave this blank if you\'re setting me up for the first time.<br>
**Used for changing the permissions of your feed so that people can subscribe to it (ftp_chmod 777). Optional.<br>

</div>'.$sFooter.'
</body>
</html>
';
}; //End function here


function fLoginPage($status){
fHeader($_SESSION['loggedin']);
global $sFooter;
echo '
<div id="navbar">
<a href="squarecaster.php">Home</a>&nbsp;
<a href="?q=manage">Manage</a>&nbsp;
<a href="?q=preview">Preview</a>
</div>

<div id="main">
'.($status? "<span class=\"status\">Status: $status </span>" : "").'
<p>
Login
<hr>
<form enctype="multipart/form-data" action="squarecaster.php?q=loginaction" method="post">
Password: <input class="txt" name="password" type="password" size="25" maxlength="255"><br>
<p><p><p><input class="submit" name="login" type="submit" value="Login">
</form>

</div>'.$sFooter.'
</body>
</html>
';
	
}


function fReadmePage($status, $aFeed){
fHeader($_SESSION['loggedin']);
global $sFooter;
echo '
<div id="navbar">
<a href="squarecaster.php">Home</a>&nbsp;
<a href="?q=manage">Manage</a>&nbsp;
<a href="?q=preview">Preview</a>
</div>

<div id="main">
'.($status? "<span class=\"status\">Status: $status </span>" : "").'
<p>
Readme
<hr>';?>
<p><br>
&nbsp;&nbsp;&nbsp;&nbsp;<b>Intro</b><br>
SquareCaster was made by me - Eddy Ringsmuth - simply because up until now, no good podcast rss feed manager existed. If you're like me, you've encountered the unreadable feed error multiple times in iTunes after recording your podcast only to realize that you forgot to change a quote " to &amp;quot; somewhere in your 100+ line rss feed... Anyway, I decided that I had encountered that problem for the last time, and so I set out to make my own error-proof rss manager.<p>
SquareCaster is very easy to use. All you need to do is place the included php file in the same directory as your .rss or .xml feed file, on a PHP 4.3.11+ enabled web server. Then simply navigate to that page with a web browser and set your preferences with your feed name (ex. "mygreatfeed.rss") and password (ex. "myh4rd2GueSSpassw0rd").<p>
Basically, there are some things you should know about SquareCaster. I have outlined this readme/faq/help file into a few sections listed below.
<p>
&nbsp;&nbsp;&nbsp;&nbsp;<b>Intro</b><br>
&nbsp;&nbsp;&nbsp;&nbsp;<b>Latest Version</b><br>
&nbsp;&nbsp;&nbsp;&nbsp;<b>File Uploading</b><br>
&nbsp;&nbsp;&nbsp;&nbsp;<b>Hanging Edits</b><br>
&nbsp;&nbsp;&nbsp;&nbsp;<b>Whats in it for Me</b><br>
&nbsp;&nbsp;&nbsp;&nbsp;<b>Feature Request / Bug Report?</b><br>
<p>
&nbsp;&nbsp;&nbsp;&nbsp;<b>Latest Version</b><br>
The latest version can always be found at <a href="http://www.square2.org/squarecaster">http://www.square.org/squarecaster</a> . I'll be upfront and say that i've put so much time into this project, that i may not actually put a page up there for a while, but at the very least you'll get a directory contents listing and will be able to download the latest version from there.
<p>
&nbsp;&nbsp;&nbsp;&nbsp;<b>File Uploading</b><br>
So you wanna know how to get the file uploading to work? Basically, php limits the size of all file uploads to < 2MB by default, so if you want to get around this "feature" you need to do some editing on your web server. <b>Note:</b> my website has already tried to do this step for you, but if it fails here's what you should do.<br>
If the file ".htaccess" exists on your server, in the directory containing this file, edit it; otherwise simply create a text file named ".htaccess" in this directory with the following information.<br>
php_value file_uploads 1<br>
php_value upload_max_filesize 200M<br>
php_value post_max_size 200M<br>
php_value memory_limit 200M<br>
php_value max_execution_time 10000<br>
And that should do it for you. Feel free to tweak these values to whatever you please. For a more detailed description of what each of these does, go to <a href="http://www.php.net">http://www.php.net</a> . Happy hunting!
<p>
&nbsp;&nbsp;&nbsp;&nbsp;<b>Hanging Edits</b><br>
There are three reasons you might be experiencing a hanging edit, and only one is bad.<br>
&nbsp;&nbsp;&nbsp;&nbsp;1. File uploads. They can take lots of time, and until I implement a progrometer you won't be able to see any indication of status. So if you're uploading a file, just click the button, minimize that window, and go outside or something - <i>nerd</i> ;-).<br>
&nbsp;&nbsp;&nbsp;&nbsp;2. Corrupt files. If you try to upload a corrupt file, my script <u>will</u> hang until you close the window. Note however that it will correctly get the url of the file, but will fail to get the size or mime type of it.<br>
&nbsp;&nbsp;&nbsp;&nbsp;3. The unknown reason. If my script hangs for some reason other than the two listed above, please email me with the conditions this error occurred under - all the detail you can muster - to admin@square2.org .
<p>
&nbsp;&nbsp;&nbsp;&nbsp;<b>Whats in it for Me?</b><br>
Although I do accept donations, the development of this tool is completely funded by <b>you</b>. And by that I mean that each time (limit once per hour) you click a Google ad at the top of every page, i get paid by Google. I have tried to get the ads to reflect the needs of you podcasters (microphones, web servers, domain names, etc), but regardless, it would help me if you clicked on one each time you used my page :-$.<br>
Also, if you like my page subscribe to my podcast <a href="http://square2.twintipped.com">Square Two</a>, by either clicking that link or searching for "Square Two" in the ITMS.
<p>
&nbsp;&nbsp;&nbsp;&nbsp;<b>Feature Request / Bug Report?</b><br>
Think you have an idea I should implement? A bug i should fix? I'd absolutely love to hear from you! Any suggestions, bugs, questions, comments, divine inspirations should go directly to my inbox at admin@square2.org .
<p>

<?php echo '
</div>'.$sFooter.'
</body>
</html>
';
	
}

function fPreviewPage($status, $aFeed){
fHeader($_SESSION['loggedin']);
global $sFooter;
echo '
<script language="JavaScript">
<!-- 
function Show_Stuff(Click_Menu)
// Function that will swap the display/no display for 
// all content within span tags
{
if (Click_Menu.style.display == "none")
{
Click_Menu.style.display = "";
}
else
{
Click_Menu.style.display = "none";
}
}

function placefooter(){
	document.getElementById(\'footer\').style.marginTop = document.getElementById(\'thelist\').offsetHeight-75+"px";
}
-->
</script>


<div id="navbar">
<a href="squarecaster.php">Home</a>&nbsp;
<a href="?q=manage">Manage</a>&nbsp;
<span id="navbar-current">
<a href="?q=preview">Preview</a>&nbsp;
</span>
</div>

<div id="main">
'.($status? "<span class=\"status\">Status: $status </span>" : "").'
<p>
Preview
<hr>
Click on an description for more details
<div id="preview">
<div id="albumart">
<img src="'.$aFeed["itunesimage"].'" width=100% height=100%>
</div>

<div id="title">
<b>'.$aFeed["title"].'</b><br>
'.$aFeed["itunesauthor"].'
</div>
<div id="description">
<nobr><b>Podcast Description</b></nobr><p>
'.$aFeed["itunessummary"].'</p>
</div>
<div id="episodes">
<br>
	<table border=0 cellpadding=5 cellspacing=0 id="thelist">
		<tr>
			<th>Num</th>
			<th>Name</th>
			<th>Time</th>
			<th>Artist</th>
			<th>Release Date</th>
			<th>Description</th>
		</tr>
		';
foreach($aFeed["item"] as $aFeed_num => $aFeed_item){
	echo '
		<tr class="hovertrick" onMouseover="this.style.backgroundColor=\'#e0e0ff\'" onMouseout="this.style.backgroundColor=\'#f6f6ff\'">
			<td>'.($aFeed_num+1).'</td>
			<td><p class="to" style="width:195px;">'.$aFeed_item["title"].'</p</td>
			<td>'.$aFeed_item["itunesduration"].'</td>
			<td><p class="to" style="width:120px;">'.$aFeed_item["itunesauthor"].'</p></td>
			<td>'.date('n/d/y',strtotime($aFeed_item["pubdate"])).'</td>
			<td onClick="Show_Stuff(display'.$aFeed_num.');placefooter();"><p class="to" style="width:300;"><a href="javascript:void();">'.$aFeed_item["itunessubtitle"].'</a></p></td>
		</tr>
		<tr id="'.($aFeed_item["itunessummary"]? "display" : "nodisplay").$aFeed_num.'" style="display:none;background-color:#eef;">
			<td colspan=6 style="white-space:normal" align="center"><textarea rows=15 cols=60 wrap="hard" readonly>'.$aFeed_item['itunessummary'].'</textarea></td>
		</tr>
		';
}
echo '</table>
</div>
</div>
</div>
'.$sFooter.'

</body>
</html>
';
}

function fManagePage($status, $aFeed){
fHeader($_SESSION['loggedin']);
global $sFooter;
echo '
<script language="JavaScript">
<!--

function placefooter(divid){
	document.getElementById(\'footer\').style.marginTop = document.getElementById(\'thelist\').offsetHeight-75+"px";
}
-->
</script>

<div id="navbar">
<a href="squarecaster.php">Home</a>&nbsp;
<span id="navbar-current">
<a href="?q=manage">Manage</a>&nbsp;
</span>
<a href="?q=preview">Preview</a>&nbsp;
</div>

<div id="main">
'.($status? "<span class=\"status\">Status: $status </span>" : "").'
<p>
Manage
<hr>
Click on an item to edit it.
<div id="pv">
<div>
<div id="albumart">
<a href="javascript:void();" '."onClick=\"aa=window.open('squarecaster.php?q=popupPodcast','','width=470,height=580,scrollbars')\"".' onmouseover="this.className=\'box_background\';" onmouseout="this.className=\'unhighlight\';" >
<img src="'.$aFeed["itunesimage"].'" width="100%" height="100%">
</a></div>

<div id="title"><a href="javascript:void();" '."onClick=\"aa=window.open('squarecaster.php?q=popupPodcast','','width=470,height=580,scrollbars')\"".'>
<b>'.$aFeed["title"].'</b><br>
'.$aFeed["itunesauthor"].'
</a></div>
<div id="description"><a href="javascript:void();" '."onClick=\"aa=window.open('squarecaster.php?q=popupPodcast','','width=470,height=580,scrollbars')\"".'>
<nobr><b>Podcast Description</b></nobr><p>
'.$aFeed["itunessummary"].'</p>
</a></div>
</div>
<div id="episodes">
<input type="button" value="Add Episode" onClick="'."javascript:aa=window.open('squarecaster.php?q=popupEpisode&amp;n=".(count($aFeed['item'])+1)."&amp;i=title','','width=470,height=580,scrollbars')".'"><br>
';
if($aFeed){
	echo '<table border=0 cellpadding=5 cellspacing=0 id="thelist">
		<tr>
			<th>Num</th>
			<th>Name</th>
			<th>Time</th>
			<th>Artist</th>
			<th>Release Date</th>
			<th>Description</th>
		</tr>
		';
		
	foreach($aFeed["item"] as $aFeed_num => $aFeed_item){
		echo '
		<tr onMouseover="this.style.backgroundColor=\'#e0e0ff\'" onMouseout="this.style.backgroundColor=\'#f6f6ff\'">
			<td><a href="javascript:void();" onClick="'."javascript:aa=window.open('squarecaster.php?q=popupEpisode&amp;n=$aFeed_num&amp;i=none','','width=470,height=580,scrollbars')".'">'.($aFeed_num+1).'</a></td>
			<td><p class="to" style="width:195px;"><a  href="javascript:void();" onClick="'."javascript:aa=window.open('squarecaster.php?q=popupEpisode&amp;n=$aFeed_num&amp;i=title','','width=470,height=580,scrollbars')".'">'.$aFeed_item["title"].'</a></p></td>
			<td><a  href="javascript:void();" onClick="'."javascript:aa=window.open('squarecaster.php?q=popupEpisode&amp;n=$aFeed_num&amp;i=itunesduration','','width=470,height=580,scrollbars')".'">'.$aFeed_item["itunesduration"].'</a></td>
			<td><p class="to" style="width:120px;"><a  href="javascript:void();" onClick="'."javascript:aa=window.open('squarecaster.php?q=popupEpisode&amp;n=$aFeed_num&amp;i=itunesauthor','','width=470,height=580,scrollbars')".'">'.$aFeed_item["itunesauthor"].'</a></p></td>
			<td><a  href="javascript:void();" onClick="'."javascript:aa=window.open('squarecaster.php?q=popupEpisode&amp;n=$aFeed_num&amp;i=pubdate','','width=470,height=580,scrollbars')".'">'.date('n/d/y',strtotime($aFeed_item["pubdate"])).'</a></td>
			<td><p class="to" style="width:300;"><a  href="javascript:void();" onClick="'."javascript:aa=window.open('squarecaster.php?q=popupEpisode&amp;n=$aFeed_num&amp;i=itunessubtitle','','width=470,height=580,scrollbars')".'">'.$aFeed_item["itunessubtitle"].'</a></p></td>
		</tr>
		';
}
echo '</table>
</div>
</div>
</div>'.$sFooter.'
</body>
</html>
';
	}
}

function fPopupPodcast($aFeed){
if (!$_SESSION['loggedin']){
	echo "You must login to perform this action<p>";
	echo '<input type="button" name="login" value="Cancel" onClick="window.opener.location=\'squarecaster.php?q=login\';window.close();">';
	exit();
}
echo '
<style type="text/css">
<!--
.unselected {
	display: none;
	opacity: 0.5;
	filter:alpha(opacity=70); /* IE\'s opacity*/
}

.selected {
	display: block;
	opacity: 1.0;
	filter:alpha(opacity=100); /* IE\'s opacity*/
}
	
-->
</style>
<script type="text/javascript">
<!--
function setClassName(objId, className) {
        document.getElementById(objId).className = className;
}
function confirm_entry(episode)
{
input_box=confirm("Do you really want to delete this?");
if (input_box==true)

{ 
// Output when OK is clicked
resizeTo(460,150);
window.location="?q=reallydelete&n="+episode+"";
}

else
{
// Output when Cancel is clicked

}

}
-->
</script>
<body OnLoad="document.editpodcast.'.$item.'.focus();">
<form name="editpodcast" enctype="multipart/form-data" action="squarecaster.php?q=editpodcast" method="post">
<b>Podcast meta info:</b><p>
Podcast Title:<br>
<input class="txt" name="title" type="text" size="50" maxlength="255" value="'.fRssEntities($aFeed['title']).'"><br>
Website:<br>
<input name="link" type="text" size="50" maxlength="255" value="'.$aFeed['link'].'"><br>
Author:<br>
<input class="txt" name="itunesauthor" type="text" size="30" maxlength="255" value="'.fRssEntities($aFeed['itunesauthor']).'"><br>
Explicit (Check for yes):<br>
<input class="txt" name="itunesexplicit" type="checkbox" value="yes" '.($aFeed['itunesexplicit'] == "yes" ? "checked" : "").'><br>
Block (Check for yes):<br>
<input class="txt" name="itunesblock" type="checkbox" value="yes" '.($aFeed['itunesblock'] == "yes" ? "checked" : "").'><br>
Copyright:<br>
<input type="text" name="copyright" value="'.fRssEntities($aFeed['copyright']).'" size="30" maxlength="255"><br>
Owner name:<br>
<input type="text" name="itunesname" value="'.fRssEntities($aFeed['itunesname']).'" size="50" maxlength="255"><br>
Owner email:<br>
<input type="text" name="itunesemail" value="'.fRssEntities($aFeed['itunesemail']).'" size="50" maxlength="255"><br>
iTunes Category:<br>
<select name="itunescategory">
<optgroup label="Arts & Entertainment">
	<option value="Arts & Entertainment#Architecture"'.($aFeed['itunescategory2'] == "Architecture" ? " selected=\"selected\"": '').'>Architecture</option>
	<option value="Arts & Entertainment#Books"'.($aFeed['itunescategory2'] == "Books" ? " selected=\"selected\"": '').'>Books</option>
	<option value="Arts & Entertainment#Design"'.($aFeed['itunescategory2'] == "Design" ? " selected=\"selected\"": '').'>Design</option>
	<option value="Arts & Entertainment#Entertainment"'.($aFeed['itunescategory2'] == "Entertainment" ? " selected=\"selected\"": '').'>Entertainment</option>
	<option value="Arts & Entertainment#Games"'.($aFeed['itunescategory2'] == "Games" ? " selected=\"selected\"": '').'>Games</option>
	<option value="Arts & Entertainment#Performin Arts"'.($aFeed['itunescategory2'] == "Performing Arts" ? " selected=\"selected\"": '').'>Performing Arts</option>
	<option value="Arts & Entertainment#Photography"'.($aFeed['itunescategory2'] == "Photography" ? " selected=\"selected\"": '').'>Photography</option>
	<option value="Arts & Entertainment#Poetry"'.($aFeed['itunescategory2'] == "Poetry" ? " selected=\"selected\"": '').'>Poetry</option>
	<option value="Arts & Entertainment#Science Fiction"'.($aFeed['itunescategory2'] == "Science Fiction" ? " selected=\"selected\"": '').'>Science Fiction</option>
<optgroup label="Audio Blogs">
	<option value="Audio Blogs#"'.($aFeed['itunescategory'] == "Audio Blogs" ? " selected=\"selected\"": '').'>Audio Blogs (All)</option>
<optgroup label="Business">
	<option value="Business#Careers"'.($aFeed['itunescategory2'] == "Careers" ? " selected=\"selected\"": '').'>Careers</option>
	<option value="Business#Finance"'.($aFeed['itunescategory2'] == "Finance" ? " selected=\"selected\"": '').'>Finance</option>
	<option value="Business#Investing"'.($aFeed['itunescategory2'] == "Investing" ? " selected=\"selected\"": '').'>Investing</option>
	<option value="Business#Management"'.($aFeed['itunescategory2'] == "Management" ? " selected=\"selected\"": '').'>Management</option>
	<option value="Business#Marketing"'.($aFeed['itunescategory2'] == "Marketing" ? " selected=\"selected\"": '').'>Marketing</option>
<optgroup label="Comedy">
	<option value="Comedy#"'.($aFeed['itunescategory'] == "Comedy" ? " selected=\"selected\"": '').'>Comedy (All)
<optgroup label="Education">
	<option value="Education#Higher Education"'.($aFeed['itunescategory2'] == "Higher Education" ? " selected=\"selected\"": '').'>Higher Education</option>
	<option value="Education#K-12"'.($aFeed['itunescategory2'] == "K-12" ? " selected=\"selected\"": '').'>K-12</option>
<optgroup label="Family">
	<option value="Family#"'.($aFeed['itunescategory'] == "Family" ? " selected=\"selected\"": '').'>Family (All)</option>
<optgroup label="Food">
	<option value="Food#"'.($aFeed['itunescategory'] == "Food" ? " selected=\"selected\"": '').'>Food (All)</option>
<optgroup label="Health">
	<option value="Health#Diet & Nutrition"'.($aFeed['itunescategory2'] == "Diet & Nutrition" ? " selected=\"selected\"": '').'>Diet & Nutrition</option>
	<option value="Health#Fintess"'.($aFeed['itunescategory2'] == "Fintess" ? " selected=\"selected\"": '').'>Fintess</option>
	<option value="Health#Relationships"'.($aFeed['itunescategory2'] == "Relationships" ? " selected=\"selected\"": '').'>Relationships</option>
	<option value="Health#Self-Help"'.($aFeed['itunescategory2'] == "Self-Help" ? " selected=\"selected\"": '').'>Self-Help</option>
	<option value="Health#Sexuality"'.($aFeed['itunescategory2'] == "Sexuality" ? " selected=\"selected\"": '').'>Sexuality</option>
<optgroup label="International">
	<option value="International#Australian"'.($aFeed['itunescategory2'] == "Australian" ? " selected=\"selected\"": '').'>Australian</option>
	<option value="International#Belgian"'.($aFeed['itunescategory2'] == "Belgian" ? " selected=\"selected\"": '').'>Belgiain</option>
	<option value="International#Brazilian"'.($aFeed['itunescategory2'] == "Brazilian" ? " selected=\"selected\"": '').'>Brazilian</option>
	<option value="International#Canadian"'.($aFeed['itunescategory2'] == "Canadian" ? " selected=\"selected\"": '').'>Canadian</option>
	<option value="International#Chinese"'.($aFeed['itunescategory2'] == "Chinese" ? " selected=\"selected\"": '').'>Chinese</option>
	<option value="International#Dutch"'.($aFeed['itunescategory2'] == "Dutch" ? " selected=\"selected\"": '').'>Dutch</option>
	<option value="International#French"'.($aFeed['itunescategory2'] == "French" ? " selected=\"selected\"": '').'>French</option>
	<option value="International#German"'.($aFeed['itunescategory2'] == "German" ? " selected=\"selected\"": '').'>German</option>
	<option value="International#Hebrew"'.($aFeed['itunescategory2'] == "Hebrew" ? " selected=\"selected\"": '').'>Hebrew</option>
	<option value="International#Italian"'.($aFeed['itunescategory2'] == "Italian" ? " selected=\"selected\"": '').'>Italian</option>
	<option value="International#Japanese"'.($aFeed['itunescategory2'] == "Japanese" ? " selected=\"selected\"": '').'>Japanese</option>
	<option value="International#Norwegian"'.($aFeed['itunescategory2'] == "Norwegian" ? " selected=\"selected\"": '').'>Norwegian</option>
	<option value="International#Polish"'.($aFeed['itunescategory2'] == "Polish" ? " selected=\"selected\"": '').'>Polish</option>
	<option value="International#Portuguese"'.($aFeed['itunescategory2'] == "Portuguese" ? " selected=\"selected\"": '').'>Portuguese</option>
	<option value="International#Spanish"'.($aFeed['itunescategory2'] == "Spanish" ? " selected=\"selected\"": '').'>Spanish</option>
	<option value="International#Swedish"'.($aFeed['itunescategory2'] == "Swedish" ? " selected=\"selected\"": '').'>Swedish</option>
<optgroup label="Movies & Television">
	<option value="Movies & Television#"'.($aFeed['itunescategory'] == "Movies & Television" ? " selected=\"selected\"": '').'>Movies & Television (All)</option>
<optgroup label="Music">
	<option value="Music#"'.($aFeed['itunescategory'] == "Music" ? " selected=\"selected\"": '').'>Music (All)</option>
<optgroup label="News">
	<option value="News#"'.($aFeed['itunescategory'] == "News" ? " selected=\"selected\"": '').'>News (All)</option>
<optgroup label="Politics">
	<option value="Politics#"'.($aFeed['itunescategory'] == "Politics" ? " selected=\"selected\"": '').'>Politics (All)</option>
<optgroup label="Public Radio">
	<option value="Public Radio#"'.($aFeed['itunescategory2'] == "Public Radio" ? " selected=\"selected\"": '').'>Public Radio (All)</option>
<optgroup label="Religion & Spirituality">
	<option value="Religion & Spirituality#Buddhism"'.($aFeed['itunescategory2'] == "Buddhism" ? " selected=\"selected\"": '').'>Buddhism</option>
	<option value="Religion & Spirituality#Christianity"'.($aFeed['itunescategory2'] == "Christianity" ? " selected=\"selected\"": '').'>Christianity</option>
	<option value="Religion & Spirituality#Islam"'.($aFeed['itunescategory2'] == "Islam" ? " selected=\"selected\"": '').'>Islam</option>
	<option value="Religion & Spirituality#Judaism"'.($aFeed['itunescategory2'] == "Judaism" ? " selected=\"selected\"": '').'>Judaism</option>
	<option value="Religion & Spirituality#New Age"'.($aFeed['itunescategory2'] == "New Age" ? " selected=\"selected\"": '').'>New Age</option>
	<option value="Religion & Spirituality#Philosophy"'.($aFeed['itunescategory2'] == "Philosophy" ? " selected=\"selected\"": '').'>Philosophy</option>
	<option value="Religion & Spirituality#Spirituality"'.($aFeed['itunescategory2'] == "Spirituality" ? " selected=\"selected\"": '').'>Spirituality</option>
<optgroup label="Science">
	<option value="Science#"'.($aFeed['itunescategory'] == "Science" ? " selected=\"selected\"": '').'>Science (All)</option>
<optgroup label="Sports">
	<option value="Sports#"'.($aFeed['itunescategory'] == "Sports" ? " selected=\"selected\"": '').'>Sports (All)</option>
<optgroup label="Talk Radio">
	<option value="Talk Radio#"'.($aFeed['itunescategory'] == "Talk Radio" ? " selected=\"selected\"": '').'>Talk Radio (All)</option>
<optgroup label="Technology">
	<option value="Technology#Computers"'.($aFeed['itunescategory2'] == "Computers" ? " selected=\"selected\"": '').'>Computers</option>
	<option value="Technology#Developers"'.($aFeed['itunescategory2'] == "Developers" ? " selected=\"selected\"": '').'>Developers</option>
	<option value="Technology#Gadgets"'.($aFeed['itunescategory2'] == "Gadgets" ? " selected=\"selected\"": '').'>Gadgets</option>
	<option value="Technology#Information Technology"'.($aFeed['itunescategory2'] == "Information Technology" ? " selected=\"selected\"": '').'>Information Technology</option>
	<option value="Technology#News"'.($aFeed['itunescategory2'] == "News" ? " selected=\"selected\"": '').'>News</option>
	<option value="Technology#Opterating Systems"'.($aFeed['itunescategory2'] == "Operating Systems" ? " selected=\"selected\"": '').'>Operation Systems</option>
	<option value="Technology#Podcasting"'.($aFeed['itunescategory2'] == "Podcasting" ? " selected=\"selected\"": '').'>Podcasting</option>
	<option value="Technology#Smart Phones"'.($aFeed['itunescategory2'] == "Smart Phones" ? " selected=\"selected\"": '').'>Smart Phones</option>
	<option value="Technology#Text/Speech"'.($aFeed['itunescategory2'] == "Text/Speech" ? " selected=\"selected\"": '').'>Text/Speech</option>
<optgroup label="Transportation">
	<option value="Transportation#Automotive"'.($aFeed['itunescategory2'] == "Automotive" ? " selected=\"selected\"": '').'>Automotive</option>
	<option value="Transportation#Aviation"'.($aFeed['itunescategory2'] == "Aviation" ? " selected=\"selected\"": '').'>Aviation</option>
	<option value="Transportation#Bicycles"'.($aFeed['itunescategory2'] == "Bicycles" ? " selected=\"selected\"": '').'>Bicycles</option>
	<option value="Transportation#Commuting"'.($aFeed['itunescategory2'] == "Commuting" ? " selected=\"selected\"": '').'>Commuting</option>
<optgroup label="Travel">
	<option value="Travel#"'.($aFeed['itunescategory'] == "Travel" ? " selected=\"selected\"": '').'>Travel (All)</option>
</select><br>
Keywords:<br>
<input class="txt" name="ituneskeywords" type="text" size="50" maxlength="255" value="'.fRssEntities($aFeed['ituneskeywords']).'"><br>
Short description:<br>
<input class="txt" name="itunessubtitle" type="text" size="50" maxlength="255" value="'.fRssEntities($aFeed['itunessubtitle']).'"><br>
Long description:<br>
<textarea name="itunessummary" rows="10" cols="50" maxlength="4000" height="100">'.fRssEntities($aFeed['itunessummary']).'</textarea><br><hr><br>
<b>Podcast image/banner >= 300x300:</b><p>
Manually enter image info <input type="radio" name="image" value="manually" checked onClick=\'setClassName("manually","selected");setClassName("autoupload","unselected");\'><p>
<span id="manually" class="selected">
&nbsp;&nbsp;&nbsp;&nbsp;Image url:<br>
&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="imageurl" size="50" value="'.$aFeed['itunesimage'].'"><br></span><p>
Or upload file <input type="radio" name="image" value="upload" onClick=\'setClassName("autoupload","selected");setClassName("manually","unselected");\'><p>
<span id="autoupload" class="unselected">
&nbsp;&nbsp;&nbsp;&nbsp;<input type="file" name="file"></span><br><hr><p>
<p><p><p><input type="reset" value="Reset" onClick=\'setClassName("manually","selected");setClassName("autoupload","unselected");\'><input class="submit" name="edit" type="submit" value="Edit" onClick="javascript:resizeTo(460,150);"><input type="button" name="cancel" value="Cancel" onClick="window.close();">

</body>';
}

function fPopupEpisode($aFeed, $n, $item){
if (!$_SESSION['loggedin']){
	echo "You must login to perform this action<p>";
	echo '<input type="button" name="login" value="Cancel" onClick="window.opener.location=\'squarecaster.php?q=login\';window.close();">';
	exit();
}
echo '
<style type="text/css">
<!--
.unselected {
	display: none;
	opacity: 0.5;
	filter:alpha(opacity=70); /* IE\'s opacity*/
}

.selected {
	display: block;
	opacity: 1.0;
	filter:alpha(opacity=100); /* IE\'s opacity*/
}
	
-->
</style>
<script type="text/javascript">
<!--
function setClassName(objId, className) {
        document.getElementById(objId).className = className;
}
function confirm_entry(episode)
{
input_box=confirm("Do you really want to delete this?");
if (input_box==true)

{ 
// Output when OK is clicked
resizeTo(460,150);
window.location="?q=reallydelete&n="+episode+"";
}

else
{
// Output when Cancel is clicked

}

}
-->
</script>
<body OnLoad="document.episodeedit.'.$item.'.focus();">
<form name="episodeedit" enctype="multipart/form-data" action="squarecaster.php?q=editepisode&amp;n='.$n.'" method="post">
<b>Episode meta info:</b><p>
Episode Title:<br>
<input class="txt" name="title" type="text" size="50" maxlength="255" value="'.fRssEntities($aFeed['item'][$n]['title']).'"><br>
Publish Date:<br>
<input name="pubdate" type="text" size="30" value="'.($aFeed['item'][$n]['pubdate'] ? $aFeed['item'][$n]['pubdate'] : date("r")).'"><br>
Author:<br>
<input class="txt" name="itunesauthor" type="text" size="30" maxlength="255" value="'.fRssEntities($aFeed['item'][$n]['itunesauthor']).'"><br>
Duration (HH:MM):<br>
<input class="txt" name="itunesduration" type="text" size="6" maxlength="6" value="'.$aFeed['item'][$n]['itunesduration'].'"><br>
Explicit (Check for yes):<br>
<input class="txt" name="itunesexplicit" type="checkbox" value="yes" '.($aFeed['item'][$n]['itunesexplicit'] == "yes" ? "checked" : "").'><br>
Block (Check for yes):<br>
<input class="txt" name="itunesblock" type="checkbox" value="yes" '.($aFeed['item'][$n]['itunesblock'] == "yes" ? "checked" : "").'><br>
iTunes Category:<br>
<select name="itunescategory">
<optgroup label="Arts & Entertainment">
	<option value="Arts & Entertainment#Architecture"'.($aFeed['item'][$n]['itunescategory2'] == "Architecture" ? " selected=\"selected\"": '').'>Architecture</option>
	<option value="Arts & Entertainment#Books"'.($aFeed['item'][$n]['itunescategory2'] == "Books" ? " selected=\"selected\"": '').'>Books</option>
	<option value="Arts & Entertainment#Design"'.($aFeed['item'][$n]['itunescategory2'] == "Design" ? " selected=\"selected\"": '').'>Design</option>
	<option value="Arts & Entertainment#Entertainment"'.($aFeed['item'][$n]['itunescategory2'] == "Entertainment" ? " selected=\"selected\"": '').'>Entertainment</option>
	<option value="Arts & Entertainment#Games"'.($aFeed['item'][$n]['itunescategory2'] == "Games" ? " selected=\"selected\"": '').'>Games</option>
	<option value="Arts & Entertainment#Performin Arts"'.($aFeed['item'][$n]['itunescategory2'] == "Performing Arts" ? " selected=\"selected\"": '').'>Performing Arts</option>
	<option value="Arts & Entertainment#Photography"'.($aFeed['item'][$n]['itunescategory2'] == "Photography" ? " selected=\"selected\"": '').'>Photography</option>
	<option value="Arts & Entertainment#Poetry"'.($aFeed['item'][$n]['itunescategory2'] == "Poetry" ? " selected=\"selected\"": '').'>Poetry</option>
	<option value="Arts & Entertainment#Science Fiction"'.($aFeed['item'][$n]['itunescategory2'] == "Science Fiction" ? " selected=\"selected\"": '').'>Science Fiction</option>
<optgroup label="Audio Blogs">
	<option value="Audio Blogs#"'.($aFeed['item'][$n]['itunescategory'] == "Audio Blogs" ? " selected=\"selected\"": '').'>Audio Blogs (All)</option>
<optgroup label="Business">
	<option value="Business#Careers"'.($aFeed['item'][$n]['itunescategory2'] == "Careers" ? " selected=\"selected\"": '').'>Careers</option>
	<option value="Business#Finance"'.($aFeed['item'][$n]['itunescategory2'] == "Finance" ? " selected=\"selected\"": '').'>Finance</option>
	<option value="Business#Investing"'.($aFeed['item'][$n]['itunescategory2'] == "Investing" ? " selected=\"selected\"": '').'>Investing</option>
	<option value="Business#Management"'.($aFeed['item'][$n]['itunescategory2'] == "Management" ? " selected=\"selected\"": '').'>Management</option>
	<option value="Business#Marketing"'.($aFeed['item'][$n]['itunescategory2'] == "Marketing" ? " selected=\"selected\"": '').'>Marketing</option>
<optgroup label="Comedy">
	<option value="Comedy#"'.($aFeed['item'][$n]['itunescategory'] == "Comedy" ? " selected=\"selected\"": '').'>Comedy (All)
<optgroup label="Education">
	<option value="Education#Higher Education"'.($aFeed['item'][$n]['itunescategory2'] == "Higher Education" ? " selected=\"selected\"": '').'>Higher Education</option>
	<option value="Education#K-12"'.($aFeed['item'][$n]['itunescategory2'] == "K-12" ? " selected=\"selected\"": '').'>K-12</option>
<optgroup label="Family">
	<option value="Family#"'.($aFeed['item'][$n]['itunescategory'] == "Family" ? " selected=\"selected\"": '').'>Family (All)</option>
<optgroup label="Food">
	<option value="Food#"'.($aFeed['item'][$n]['itunescategory'] == "Food" ? " selected=\"selected\"": '').'>Food (All)</option>
<optgroup label="Health">
	<option value="Health#Diet & Nutrition"'.($aFeed['item'][$n]['itunescategory2'] == "Diet & Nutrition" ? " selected=\"selected\"": '').'>Diet & Nutrition</option>
	<option value="Health#Fintess"'.($aFeed['item'][$n]['itunescategory2'] == "Fintess" ? " selected=\"selected\"": '').'>Fintess</option>
	<option value="Health#Relationships"'.($aFeed['item'][$n]['itunescategory2'] == "Relationships" ? " selected=\"selected\"": '').'>Relationships</option>
	<option value="Health#Self-Help"'.($aFeed['item'][$n]['itunescategory2'] == "Self-Help" ? " selected=\"selected\"": '').'>Self-Help</option>
	<option value="Health#Sexuality"'.($aFeed['item'][$n]['itunescategory2'] == "Sexuality" ? " selected=\"selected\"": '').'>Sexuality</option>
<optgroup label="International">
	<option value="International#Australian"'.($aFeed['item'][$n]['itunescategory2'] == "Australian" ? " selected=\"selected\"": '').'>Australian</option>
	<option value="International#Belgian"'.($aFeed['item'][$n]['itunescategory2'] == "Belgian" ? " selected=\"selected\"": '').'>Belgiain</option>
	<option value="International#Brazilian"'.($aFeed['item'][$n]['itunescategory2'] == "Brazilian" ? " selected=\"selected\"": '').'>Brazilian</option>
	<option value="International#Canadian"'.($aFeed['item'][$n]['itunescategory2'] == "Canadian" ? " selected=\"selected\"": '').'>Canadian</option>
	<option value="International#Chinese"'.($aFeed['item'][$n]['itunescategory2'] == "Chinese" ? " selected=\"selected\"": '').'>Chinese</option>
	<option value="International#Dutch"'.($aFeed['item'][$n]['itunescategory2'] == "Dutch" ? " selected=\"selected\"": '').'>Dutch</option>
	<option value="International#French"'.($aFeed['item'][$n]['itunescategory2'] == "French" ? " selected=\"selected\"": '').'>French</option>
	<option value="International#German"'.($aFeed['item'][$n]['itunescategory2'] == "German" ? " selected=\"selected\"": '').'>German</option>
	<option value="International#Hebrew"'.($aFeed['item'][$n]['itunescategory2'] == "Hebrew" ? " selected=\"selected\"": '').'>Hebrew</option>
	<option value="International#Italian"'.($aFeed['item'][$n]['itunescategory2'] == "Italian" ? " selected=\"selected\"": '').'>Italian</option>
	<option value="International#Japanese"'.($aFeed['item'][$n]['itunescategory2'] == "Japanese" ? " selected=\"selected\"": '').'>Japanese</option>
	<option value="International#Norwegian"'.($aFeed['item'][$n]['itunescategory2'] == "Norwegian" ? " selected=\"selected\"": '').'>Norwegian</option>
	<option value="International#Polish"'.($aFeed['item'][$n]['itunescategory2'] == "Polish" ? " selected=\"selected\"": '').'>Polish</option>
	<option value="International#Portuguese"'.($aFeed['item'][$n]['itunescategory2'] == "Portuguese" ? " selected=\"selected\"": '').'>Portuguese</option>
	<option value="International#Spanish"'.($aFeed['item'][$n]['itunescategory2'] == "Spanish" ? " selected=\"selected\"": '').'>Spanish</option>
	<option value="International#Swedish"'.($aFeed['item'][$n]['itunescategory2'] == "Swedish" ? " selected=\"selected\"": '').'>Swedish</option>
<optgroup label="Movies & Television">
	<option value="Movies & Television#"'.($aFeed['item'][$n]['itunescategory'] == "Movies & Television" ? " selected=\"selected\"": '').'>Movies & Television (All)</option>
<optgroup label="Music">
	<option value="Music#"'.($aFeed['item'][$n]['itunescategory'] == "Music" ? " selected=\"selected\"": '').'>Music (All)</option>
<optgroup label="News">
	<option value="News#"'.($aFeed['item'][$n]['itunescategory'] == "News" ? " selected=\"selected\"": '').'>News (All)</option>
<optgroup label="Politics">
	<option value="Politics#"'.($aFeed['item'][$n]['itunescategory'] == "Politics" ? " selected=\"selected\"": '').'>Politics (All)</option>
<optgroup label="Public Radio">
	<option value="Public Radio#"'.($aFeed['item'][$n]['itunescategory2'] == "Public Radio" ? " selected=\"selected\"": '').'>Public Radio (All)</option>
<optgroup label="Religion & Spirituality">
	<option value="Religion & Spirituality#Buddhism"'.($aFeed['item'][$n]['itunescategory2'] == "Buddhism" ? " selected=\"selected\"": '').'>Buddhism</option>
	<option value="Religion & Spirituality#Christianity"'.($aFeed['item'][$n]['itunescategory2'] == "Christianity" ? " selected=\"selected\"": '').'>Christianity</option>
	<option value="Religion & Spirituality#Islam"'.($aFeed['item'][$n]['itunescategory2'] == "Islam" ? " selected=\"selected\"": '').'>Islam</option>
	<option value="Religion & Spirituality#Judaism"'.($aFeed['item'][$n]['itunescategory2'] == "Judaism" ? " selected=\"selected\"": '').'>Judaism</option>
	<option value="Religion & Spirituality#New Age"'.($aFeed['item'][$n]['itunescategory2'] == "New Age" ? " selected=\"selected\"": '').'>New Age</option>
	<option value="Religion & Spirituality#Philosophy"'.($aFeed['item'][$n]['itunescategory2'] == "Philosophy" ? " selected=\"selected\"": '').'>Philosophy</option>
	<option value="Religion & Spirituality#Spirituality"'.($aFeed['item'][$n]['itunescategory2'] == "Spirituality" ? " selected=\"selected\"": '').'>Spirituality</option>
<optgroup label="Science">
	<option value="Science#"'.($aFeed['item'][$n]['itunescategory'] == "Science" ? " selected=\"selected\"": '').'>Science (All)</option>
<optgroup label="Sports">
	<option value="Sports#"'.($aFeed['item'][$n]['itunescategory'] == "Sports" ? " selected=\"selected\"": '').'>Sports (All)</option>
<optgroup label="Talk Radio">
	<option value="Talk Radio#"'.($aFeed['item'][$n]['itunescategory'] == "Talk Radio" ? " selected=\"selected\"": '').'>Talk Radio (All)</option>
<optgroup label="Technology">
	<option value="Technology#Computers"'.($aFeed['item'][$n]['itunescategory2'] == "Computers" ? " selected=\"selected\"": '').'>Computers</option>
	<option value="Technology#Developers"'.($aFeed['item'][$n]['itunescategory2'] == "Developers" ? " selected=\"selected\"": '').'>Developers</option>
	<option value="Technology#Gadgets"'.($aFeed['item'][$n]['itunescategory2'] == "Gadgets" ? " selected=\"selected\"": '').'>Gadgets</option>
	<option value="Technology#Information Technology"'.($aFeed['item'][$n]['itunescategory2'] == "Information Technology" ? " selected=\"selected\"": '').'>Information Technology</option>
	<option value="Technology#News"'.($aFeed['item'][$n]['itunescategory2'] == "News" ? " selected=\"selected\"": '').'>News</option>
	<option value="Technology#Opterating Systems"'.($aFeed['item'][$n]['itunescategory2'] == "Operating Systems" ? " selected=\"selected\"": '').'>Operation Systems</option>
	<option value="Technology#Podcasting"'.($aFeed['item'][$n]['itunescategory2'] == "Podcasting" ? " selected=\"selected\"": '').'>Podcasting</option>
	<option value="Technology#Smart Phones"'.($aFeed['item'][$n]['itunescategory2'] == "Smart Phones" ? " selected=\"selected\"": '').'>Smart Phones</option>
	<option value="Technology#Text/Speech"'.($aFeed['item'][$n]['itunescategory2'] == "Text/Speech" ? " selected=\"selected\"": '').'>Text/Speech</option>
<optgroup label="Transportation">
	<option value="Transportation#Automotive"'.($aFeed['item'][$n]['itunescategory2'] == "Automotive" ? " selected=\"selected\"": '').'>Automotive</option>
	<option value="Transportation#Aviation"'.($aFeed['item'][$n]['itunescategory2'] == "Aviation" ? " selected=\"selected\"": '').'>Aviation</option>
	<option value="Transportation#Bicycles"'.($aFeed['item'][$n]['itunescategory2'] == "Bicycles" ? " selected=\"selected\"": '').'>Bicycles</option>
	<option value="Transportation#Commuting"'.($aFeed['item'][$n]['itunescategory2'] == "Commuting" ? " selected=\"selected\"": '').'>Commuting</option>
<optgroup label="Travel">
	<option value="Travel#"'.($aFeed['item'][$n]['itunescategory'] == "Travel" ? " selected=\"selected\"": '').'>Travel (All)</option>
</select><br>
Keywords:<br>
<input class="txt" name="ituneskeywords" type="text" size="50" maxlength="255" value="'.fRssEntities($aFeed['item'][$n]['ituneskeywords']).'"><br>
Short description:<br>
<input class="txt" name="itunessubtitle" type="text" size="50" maxlength="255" value="'.fRssEntities($aFeed['item'][$n]['itunessubtitle']).'"><br>
Long description:<br>
<textarea name="itunessummary" rows="10" cols="50" maxlength="4000" height="100">'.fRssEntities($aFeed['item'][$n]['itunessummary']).'</textarea><br><hr><p>
<b>Episode file info:</b><p>
Manually enter file info <input type="radio" name="enclosure" value="location" checked onClick=\'setClassName("manually","selected");setClassName("autoupload","unselected");\'><p>
<span id="manually" class="selected">
&nbsp;&nbsp;&nbsp;&nbsp;File url:<br>
&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="fileurl" size="50" value="'.$aFeed['item'][$n]['enclosure']['url'].'"><br>
&nbsp;&nbsp;&nbsp;&nbsp;File mime type: <br>
&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="filetype" size="15" value="'.$aFeed['item'][$n]['enclosure']['type'].'"><select name="mimes" onchange="document.episodeedit.filetype.value = document.episodeedit.mimes.value;"><option value="'.$aFeed['item'][$n]['enclosure']['type'].'">Common Mimes</option><option value="audio/mpeg">MP3</option><option value="application/pdf">PDF</option>< option value="audio/x-wav">WAV</option><option value="video/mpeg">MPG</option><option value="video/mp4">MP4</option><option value="video/x-msvideo">AVI</option><option value="audio/x-m4a">M4A (aac)</option></select><br>
&nbsp;&nbsp;&nbsp;&nbsp;File size (in bytes): <br>
&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="filesize" size="10" value="'.$aFeed['item'][$n]['enclosure']['length'].'"></span><p>
Or upload file <input type="radio" name="enclosure" value="upload" onClick=\'setClassName("autoupload","selected");setClassName("manually","unselected");\'><p>
<span id="autoupload" class="unselected">
&nbsp;&nbsp;&nbsp;&nbsp;<input type="file" name="file"></span><br><hr><p>
<p><p><p><input type="reset" value="Reset" onClick=\'setClassName("manually","selected");setClassName("autoupload","unselected");\'><input class="submit" name="edit" type="submit" value="Edit" onClick="javascript:resizeTo(460,150);"><input type="button" value="Delete" onClick=\'confirm_entry("'.$n.'");\'><input type="button" name="cancel" value="Cancel" onClick="window.close();"><br>
Note: when uploading a file, be prepared to wait a while with no visible status change.

</body>';
}

function fClearScreen(){

?>
<script language="text/javascript">
<!--
document.close(); 
document.open(); 
document.write("<P>"); 
-->
</script>
<?php
}


function fRWPreferences($sFeed, $sPass, $sNewPass, $sFtpLogin, $sFtpPass){
	if(file_exists("prefs.php")) include("prefs.php");
	if((!file_exists("prefs.php")) || (md5($sPass) == $prefs[password])){
		//chmod("prefs.php", "0760");
		//echo $_SERVER["DOCUMENT_ROOT"];
		//echo $_SERVER["HTTP_HOST"];
		if(!is_writable(dirname("squarecaster.php"))){
		$file = dirname("squarecaster.php")."/.";
		$conn_id = ftp_connect($_SERVER["HTTP_HOST"]);
		if($prefs[ftplogin] != ""){
			if($conn_id){
				$login_result = ftp_login($conn_id, $sFtpLogin, $sFtpPass);
				//<!-- Here's the hack --> 
				$chmod_cmd="CHMOD 0777 ".$file; 
				$chmod=ftp_site($conn_id, $chmod_cmd);
				ftp_close($conn_id);
			}
		}else{
			return "Please set ftp login/pass or chmod 777 this directory";
		}
	}
		
		$fPrefs = fopen("prefs.php", "w");
		if($fPrefs == false){
			return "Preferences could not be opened for writing (chmod 777 your directory).";
		}
		fwrite($fPrefs,'<?php
///////////////////////////////////////
// Your Prefs are securely stored here
///////////////////////////////////////

$prefs[feed] = "'.$sFeed.'";
$prefs[password] = "'.md5($sNewPass).'"; //trust me, its secure ;-)
$prefs[ftplogin] = "'.$sFtpLogin.'";
$prefs[ftppass] = "'.$sFtpPass.'";

?>');
	}elseif($sPass != $prefs[password]){
		return "You have specified an invalid password.";
	}else{
		return "An unidentified errer occurred. Report to admin@square2.org";
	}
	
	if(fclose($fPrefs)==false){
		return "Preference file could not be closed";
	};
	
	return "Preferences changed successfully.";
}

function newest($a, $b)
{
	$c = "pubdate";
	if (strtotime($a[$c]) == strtotime($b[$c])) {
		return 0;
	}
	return (strtotime($a[$c]) > strtotime($b[$c])) ? -1 : 1;
}

function array_merge_overwrite($a, $b){
	foreach($b as $b_key => $b_data){
		$a[$b_key] = $b[$b_key];
	}
	return $a;
}

function fMakeUploadsPossible(){
	if(!file_exists(".htaccess")){
		$htaccess = @fopen(".htaccess", "w");
		if(!$htaccess){
			$status="Could not open .htaccess for writing, please read the 'readme' page -> File Uploads";
		}else{
			fwrite($htaccess, 'php_value file_uploads 1
php_value upload_max_filesize 200M
php_value post_max_size 200M
php_value memory_limit 200M
php_value max_execution_time 10000');
			fclose($htaccess);
		}
	}else{
		$status=".htaccess already exists, please read the 'readme' page -> File Uploads";
	}
}


/////////////////////////////
// Actual Page Called Here
/////////////////////////////

session_start();
//include("debuglib.phps");
fMakeUploadsPossible();
$aFeed = fReadRss();
if(file_exists("prefs.php")){
	include("prefs.php");
}else{
	$status = "Please set your preferences";
}
//fPreviewPage($aFeed);
switch ($_GET['q']){
	case "quickadd";
	if($_SESSION['loggedin']){
		$aEpisode = fPopulateEpisode();
		$aFeed['item'][] = $aEpisode;
		$status = fWriteFeed($aFeed, $prefs[feed]);
	}else{
		$status = "You must login to perform this action.";
	}
	fMainPage($aFeed, $status);
	break;
	
	case "prefpage";
	fPrefPage($status);
	break;
	
	case "setpref";
	$status = fRWPreferences($_POST['sFeedName'], $_POST['sCurPass'], $_POST['sNewPass'], $_POST['sFtpLogin'], $_POST['sFtpPass']);
	fPrefPage($status);
	break;
	
	case "login";
	fLoginPage($status);
	break;
	
	case "loginaction";
	if(md5($_POST['password']) == $prefs[password]){
		$_SESSION['loggedin'] = true;
		session_write_close();
		$status = "You are now logged in.";
	}else{
		$status = "Please enter a valid password.";
	}
	fLoginPage($status);
	break;
	
	case "logout";
	$status = "You have successfully logged out.";
	$_SESSION['loggedin'] = 0;
	fLoginPage($status);
	break;
	
	case "preview";
	fPreviewPage($status, $aFeed);
	break;
	
	case "manage";
	fManagePage($status, $aFeed);
	break;
	
	case "popupPodcast";
	fPopupPodcast($aFeed);
	break;
	
	case "popupEpisode";
	fPopupEpisode($aFeed,$_GET['n'], $_GET['i']);
	break;
	
	case "editepisode";
	fClearScreen();
	$aEpisode = fPopulateEpisode();
	$aFeed['item'][$_GET['n']] = $aEpisode;
	//$aFeed = fValidateFeed($aFeed);
	echo fWriteFeed($aFeed);
	break;
	
	case "editpodcast";
	fClearScreen();
	$aTemp = fPopulatePodcast();
	$aFeed = array_merge($aFeed, $aTemp);
	echo fWriteFeed($aFeed);
	break;
	
	case "reallydelete";
	unset($aFeed['item'][$_GET['n']]);
	usort($aFeed['item'], "newest");
	echo fWriteFeed($aFeed);
	break;
	
	case "readme";
	fReadmePage($status, $aFeed);
	break;
	
	case "";
	fMainPage($aFeed, $status);
	break;
}

echo "

</body>
</html>
";
?>